Subject: bug#51369: intermittent dbus-test04-register-method failure

From: Michael Albinus <[email-masked]>
Date: Mon, 01 Nov 2021 19:23:52 +0100

Glenn Morris <[email-masked]> writes:

Hi Glenn,

>> The error message to be captured can arrive in two different
>> flavors. Only on hydra the other flavor appears sometimes.
>>
>> So I skip this check on hydra. Pushed to emacs-28 and merged to master.
>
> But my report was about a CentOS 8.4 desktop, not hydra.nixos.org.
> The Emacs test-suite needs to be reliable everywhere.

I see.

I've installed a CentOS 8 VM, and compiled Emacs 29 there. Running
dbus-tests in batch.

In 4 of 10 runs, the reported error happened. Good, so I have a chance
to debug it.

(Next days I'm short in time, but let's see how it goes.)

Best regards, Michael.